Subject: Re: bug#76160: guix pull failing on aarch64

From: Simon Tournier <[email-masked]>
Date: Mon, 10 Mar 2025 19:22:42 +0100

Hi,

On Sun, 09 Feb 2025 at 17:07, Mathieu Laparie <[email-masked]> wrote:

> I have been using Guix package manager on a phone running a foreign

Oh, cool!

> distro ( Droidian, i.e., Debian on Android kernel) for years and it
> was working fine. I left it aside for a few months, and now, trying to
> guix pull, I get the following error: 
>
> ```
> droidian@Pro1/tmp $ guix pull

[...]

> Building from these channels:
>   nonguix   https://gitlab.com/nonguix/nonguix  1df7887
>   mlaparie-guix-private-channelhttps://git.sr.ht/~mlaparie/guix-private-channel 07a9dac
>   emacs     https://github.com/garrgravarr/guix-emacs   46964aa
>   guix-cran https://github.com/guix-science/guix-cran.git       f26cf28
>   guix      https://git.savannah.gnu.org/git/guix.git   7f33133

First, maybe you could only “guix pull” with Guix proper without all the
other channels.

> building /gnu/store/9k3zws5jlb8z9d46wzm2z5akr27qrhab-doxygen-1.9.8.drv...
> - 'unpack' phaseuild-log 2943660 53
> doxygen-1.9.8/testing/069_link_variadic_template.cpp
>   6% ▕████████▍                                                                                                                                    ▏log 2943660 2
>  [@ build-log 2943660 12
> -Wdeprecated@ build-log 2943660 1
> ]@ build-log 2943660 1
>
>   6% ▕████████▍                                                                                                                                    ▏log 2943660 2
>  [@ build-log 2943660 12
> -Wdeprecated@ build-log 2943660 1
> ]@ build-log 2943660 1
>
>  28% ▕███████████████████████████████████████▍                                                                                                     |guix pull: error: You found a bug: the program '/gnu/store/4s997mhpwjk71gfspi8vf8fpcjfcrvsn-compute-guix-derivation'
> failed to compute the derivation for Guix (version: "7f3313341caf844d9fb6919f6cdc28fdcaf06c6d"; system: "aarch64-linux";
> host version: "1eead56e2f763e3a1a371f9ea00e89337867d397"; pull-version: 1).
> Please report the COMPLETE output above by email to <[email-masked]>.
> ```

Hum, the substitute is available:

--8<---------------cut here---------------start------------->8---
$ guix time-machine --commit=7f33133 -q --  weather -s aarch64-linux doxygen
[…]
computing 1 package derivations for aarch64-linux...
looking for 1 store items on https://ci.guix.gnu.org...
https://ci.guix.gnu.org ☀
  100.0% substitutes available (1 out of 1)
  at least 8.6 MiB of nars (compressed)
  17.4 MiB on disk (uncompressed)
  0.381 seconds per request (0.4 seconds in total)
  2.6 requests per second
--8<---------------cut here---------------end--------------->8---

Still an issue?

Cheers,
simon